2 Replies Latest reply on Nov 16, 2007 8:02 AM by (Charles_Briere)

    Is PHP 5, Apache 2.2, MySQL 5, compatible with ADDT?

      Hi:

      As you may know, the PHP Group has marked PHP 4 for end-of-life on December 31, 2007.

      Questions:
      1) Is ADDT compatible with PHP 5?
      2) What changes will have to be implemented in ADDT so that we could make it work with PHP 5?
      3) What changes, if any, will have to be made should now will also use Apache 2.2?
      4) What about MySQL 5?
      5) Is ADDT compatible with all this upgrades coming VERY soon?

      Thanks,
      Charle
        • 1. Re: Is PHP 5, Apache 2.2, MySQL 5, compatible with ADDT?
          Günter Schenk Level 4
          Hi Charles,

          ------
          1) Is ADDT compatible with PHP 5?
          2) What changes will have to be implemented in ADDT so that we could make it work with PHP 5?
          ------

          I for once use ADDT with e.g. PHP 5.2 and don´t have any issues. ADDT internally doesn´t use any version 5 specific features, that´s why it runs on both versions 4 and 5. The compatibility with PHP 5 as such has BTW already been implemented in MX Kollection 3.7.x

          ---------
          3) What changes, if any, will have to be made should now will also use Apache 2.2?
          ---------

          my local server runs Apache version 2.2.4 -- no issues with ADDT

          --------
          4) What about MySQL 5?
          --------

          my local server runs MySQL 5.0.41 -- no issues with ADDT

          Cheers,
          Günter Schenk
          Adobe Community Expert, Dreamweaver
          • 2. Re: Is PHP 5, Apache 2.2, MySQL 5, compatible with ADDT?
            Level 1
            Hi Günter:

            Thanks for "right to the gut" reply.

            Will start migration to PHP 5, MySQL 5 and Apache 2.2 soon!

            Regards,

            Charles